View Issue Details

IDProjectCategoryView StatusLast Update
0000042PluginsAdvanced comparepublic2007-07-16 16:08
ReporterRaistlinAssigned Toalexy 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version1.70 
Target VersionFixed in Version1.70 
Summary0000042: Ignore differences of x hours when comparing FAT and NTFS volumes
DescriptionСплошь и рядом сталкиваюсь с такой ситуацией: явно идентичные файлы различаются только временем модификации, причём различия всегда кратны часу (1,2,12 часов и т. д.), при этом значения минут/секунд одинаковы. Поэтому хотелось бы увидеть рядом с "Двухсекундной точностью" такую опцию:

[ ] Игнорировать разницу в xxx час(а,ов)
[ ] Ignore differences of xxx hours

xxx - трёхсимвольное поле. Первый символ - плюс/минус, xx - количество часов. Если количество часов равно 0, то игнорируем любое временное различие,
кратное часу. Если галка снята - любое различие учитываем.
TagsNo tags attached.

Activities

alexy

2006-02-25 12:10

administrator   bugnote:0000076

Думаю в морг такой функционал. Для этого можно просто не сравнивать время.

alexy

2006-02-27 11:58

administrator   bugnote:0000078

Подумал снова и решил сделать что то похожее.

alexy

2006-02-27 15:38

administrator   bugnote:0000079

http://farmanager.com/farbugs/compare.rar

Короче, подумал я тут немного и сделал вроде бы как мне кажется
оптимальный вариант. Никакого поля для ввода времени нету - мне кажется
90% пользователей вообще не поймут зачем это и все ровно будут говорить
что сравнении не правильное. Поэтому сделал так:
[x] compare time
    [x] two seconds precision
    [x] ignore possible time zone differences

Вторая опция проверяет такое: (хотя конечно реализовано по другому из за
64bit)

различие во времени
------------------- = целое число + разница в 2 секунды (если опция выбрана)
     30 минут

т.е. выходит что опция игнорирует любые возможные различия с time zones.

Тока чего пока не сделал это максимальное различие - т.е. сейчас если
разница будет в 100 лет и будет делится на 30 минут то файлы тоже будет
одинаковыми (сделать максимум не проблема если он нужен - тока надо
решит кто будет этим максимумом).

Raistlin

2006-02-27 16:30

reporter   bugnote:0000080

Last edited: 2006-02-27 16:33

Ну, наконец-то что-то похожее на мою мечту :-).
Правда, по-моему, пока не работает. Итак. Меняю у одного из тестововых файлов время модификации с 12:15:52 на 13:15:52, остальные "времена" оставляю без изменений. Сравниваю - различны вне зависимости от состояния галок "Двухсекундная точность" и "TZ diff". Если "синхронно" менять "времена" - результат тот же.
Есть пара дальнейших соображений.
1. Насколько я понял, сейчас проверяется только дата модификации. На мой взгляд, дату создания тоже неплохо бы иметь возможность сравнивать. То есть - плюс ещё 2 subcheckbox'а к чекбоксу "Время".
2. Если сравнивать оба "времени", то "TZ diff" учитывать синхронно или нет? То есть может быть такое, что при смене TZ одно "время" уедет на час, а другое - на два? Лично я не совсем понимаю механизм "съезжания" времени - может, кто другой в курсе...
3. Упомянутый максимум как раз стоит сделать настраиваемым (100 лет - это явно многовато для TZ diff :-). По умолчанию можно сделать 24 часа. Это будет уже subsubcheckbox к чекбоксу "TZ diff".

alexy

2006-02-27 17:12

administrator   bugnote:0000081

Пофиксил. Качать там же. Думаю может просто сделать максимум в 24 часа и всё?

Raistlin

2006-02-27 17:45

reporter   bugnote:0000082

Лично я видел различие в 12 часов. А крайние значения поясных различий в Windows - GMT+13 и GMT-12. Накидываем час на переход на летнее время - получаем 26 часов. Если дело именно в зонах, должно хватить. IMHO лучшее решение - 26 часов максимума по умолчанию и TechInfo.

alexy

2006-02-27 19:26

administrator   bugnote:0000083

Вот, сделал максимум 26 часов. Думаю TI не нужен. Брать там же.

Issue History

Date Modified Username Field Change
2005-10-26 05:21 Raistlin New Issue
2006-02-25 12:10 alexy Note Added: 0000076
2006-02-25 12:11 alexy Status new => assigned
2006-02-25 12:11 alexy Assigned To => alexy
2006-02-25 12:12 alexy Status assigned => resolved
2006-02-25 12:12 alexy Resolution open => won't fix
2006-02-27 11:56 alexy Status resolved => assigned
2006-02-27 11:58 alexy Note Added: 0000078
2006-02-27 11:58 alexy Resolution won't fix => open
2006-02-27 15:38 alexy Note Added: 0000079
2006-02-27 16:30 Raistlin Note Added: 0000080
2006-02-27 16:33 Raistlin Note Edited: 0000080
2006-02-27 17:12 alexy Note Added: 0000081
2006-02-27 17:45 Raistlin Note Added: 0000082
2006-02-27 19:26 alexy Note Added: 0000083
2006-02-27 21:22 alexy Status assigned => resolved
2006-02-27 21:22 alexy Resolution open => fixed
2006-02-27 21:52 alexy Product Version => 1.70
2006-02-27 21:58 alexy Fixed in Version => 1.70
2007-07-16 16:08 alexy Status resolved => closed